Conteníu

# Sin Function

Devuelve'l senu d'un ángulu. L'ángulu especificar en radianes. La resultancia ta ente -1 y 1.

Using the angle Alpha, the Sin function returns the ratio of the length of the opposite side of an angle to the length of the hypotenuse in a right-angled triangle.

Sin(Alpha) = side opposite the angle/hypotenuse

### Syntax:

    Sin (Number As Double) As Double

### Return type:

Double

### Parameters:

Númberu: Espresión numbérica que define l'ángulu en radianes pal que se deseye calcular el senu.

To convert degrees to radians, multiply degrees by Pi/180, and to convert radians to degrees, multiply radians by 180/Pi.

degrees=(radians*180)/Pi

radians=(degrees*Pi)/180

Pi val 3,141593 aprosimao.

### Error codes:

5 Llamada a procedimientu non válida

### Example:

    ' Nesti exemplu, la entrada siguiente ye posible pa un triángulu rectángulu:
    ' El llau opuestu al ángulu y l'ángulu (en graos) pa calcular el llargor de la hipotenusa:
    Sub ExampleSine
    ' Pi = 3,1415926 ye una variable predefinida
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Escriba'l llargor del llau opuestu: ","Llau opuestu")
        dAngle = InputBox("Escriba l'ángulu Alfa (en graos): ","Alfa")
        Print "El llargor de la hipotenusa ye "; (d1 / senu (dAlpha * Pi / 180))
    End Sub

Temes rellacionaos

Función Atn

Cos Function

Función Tan